import { CHARTTYPEENUM, KEYVALUETYPEENUM } from "../../config/enum";

export function getKeyNumValue(typeName) {
    let dataList = [["数据名称","数据值"],["数据名称1",36],["数据名称2",15]];
    let result = {};
    let keyValueNumId = KEYVALUETYPEENUM.键值对数值;
    for (let i = 0; i < dataList.length; i++) {
        if (typeName == keyValueNumId) result = getKeyValue(dataList);
    }
    return result;
}

export function getKeyStringValue(typeName) {
    let dataList = [["数据名称","数据值"],["数据名称1","数据值1"],["数据名称2","数据值2"]];
    let result = {};
    let keyValueString = KEYVALUETYPEENUM.键值对字符;
    for (let i = 0; i < dataList.length; i++) {
        if (typeName == keyValueString) result = getKeyValue(dataList);
    }
    return result;
}

export function getKeyValueTest() {
    
}

export function getKeyValue(dataList) {
    let result = {};
    let keyList = dataList[0];
    let valueList = dataList[1];
    for (let i = 0; i < keyList.length; i++) {
        let key = keyList[i];
        let value = valueList[i];
        result[key] = value;
    }
    return result;
}

export function getSingleYAndMoreX(typeName) {
    let dataList = [["数据名称","数据值"],["数据名称1","数据值1"],["数据名称2","数据值2"]];
    let result = {};
    let keyValueString = CHARTTYPEENUM.单Y多X;
    for (let i = 0; i < dataList.length; i++) {
        if (typeName == keyValueString) result = getMoreObject(dataList);
    }
    return result;
}

export function getMoreObject(dataList) {
    let result = {};
    let titleList = dataList[0];
    for (let y = 1; y < dataList.length; y++) {
        let dataTitle = dataList[y][0];
        let thisData = {};
        for (let x = 1; x < dataList[y].length; x++) {
            let key = titleList[x];
            thisData[key] = dataList[y][x];
        }
        result[dataTitle] = thisData;
    }

    return result;
}
